//SicherungsNrAufNull_502d.js
// 05.04.13 / Hans Haesler, Chtelard 52, CH-1018 Lausanne / <hsa@ringier.ch>
//DESCRIPTION:Setzt die Versions-Nummer auf Null zurck

// vorsichtshalber die Dialoge einschalten
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

if (app.documents.length == 0) {
	alert ("Es ist kein Dokument offen.", "Achtung");
	exit();
}

// aktuelles Dokument
var curDoc = app.documents[0];

var sTag = curDoc.extractLabel("SK_vers_number");
if (sTag != "" && sTag != "0") {
	var tagBit = ("00" + sTag).slice(-3);
	curDoc.insertLabel("SK_vers_number", "0");
	infUser(0, tagBit);
}
else {
	infUser(1, tagBit);
}

// den Anwender informieren
function infUser(x, tagBit) {
	var msg = new Array ([["Die Versions-Nummer (" + tagBit + ")"], ["ist auf Null zurckgesetzt."]], [["Die Versions-Nummer ist schon Null."], [""]]);
	var dlog = new Window("palette");
	dlog.size = [320,100];
	dlog.add("statictext", [80, 100, 320, 116], msg[x][0]);
	dlog.add("statictext", [80, 100, 320, 116], msg[x][1]);
	dlog.show();
	// eine kleine Pause
	$.sleep(1500);
	// das Fenster schliessen
	dlog.close();
}